Create/Update Configuration Record Resource
1 min
code examples curl request post \\ \ url https //api upstartcommerce com/v1/tenants/cfg/records/{recordid}/resources/{name} \\ \ header 'accept application/json' \\ \ header 'x upstart tenant string'var myheaders = new headers(); myheaders append("accept", "application/json"); myheaders append("content type", "multipart/form data"); myheaders append("x upstart tenant", "string"); var requestoptions = { method 'post', headers myheaders, redirect 'follow' }; fetch("https //api upstartcommerce com/v1/tenants/cfg/records/{recordid}/resources/{name}", requestoptions) then(response => response text()) then(result => console log(result)) catch(error => console log('error', error));require "uri" require "net/http" url = uri("https //api upstartcommerce com/v1/tenants/cfg/records/{recordid}/resources/{name}") https = net http new(url host, url port) https use ssl = true request = net http post new(url) request\["accept"] = "application/json" request\["content type"] = "multipart/form data" request\["x upstart tenant"] = "string" response = https request(request) puts response read body import requests url = "https //api upstartcommerce com/v1/tenants/cfg/records/{recordid}/resources/{name}" payload = {} headers = { 'accept' 'application/json', 'content type' 'multipart/form data', 'x upstart tenant' 'string' } response = requests request("post", url, headers=headers, data=payload) print(response text) responses // success resource created/updated successfully // the request contained information that the server was unable to process appropriate errors are provided in the response body { "name" "validationerror", "code" "schema validation failed", "detail" "configuration data validation failed data apikey is required but was not provided expected string with minimum length 32 " }// the provided credentials were not valid for this endpoint it may be that they are expired or that the user's roles are insufficient { "name" "resourcenotfounderror", "code" "template not found", "detail" "the configuration template with id \\"payment stripe\\" was not found in the system ", "reason" "the template may have been deleted or you may not have permission to access it verify the template id using get /tenants/cfg/templates " }